## org.flexdock.perspective.persist.xml
Class PerspectiveModelSerializer

    java.lang.Object
      org.flexdock.perspective.persist.xml.PerspectiveModelSerializer

All Implemented Interfaces:
  ISerializer

    public class PerspectiveModelSerializer

extends java.lang.Object
implements ISerializer

Created on 2005-06-03

Version:
  $Id: PerspectiveModelSerializer.java,v 1.8 2005-07-06 18:10:48 winnetou25 Exp $
Author:
  Mateusz Szczap

Constructor Summary
`PerspectiveModelSerializer()`

Method Summary
`java.lang.Object` `deserialize(org.w3c.dom.Element element)`
`org.w3c.dom.Element` `serialize(org.w3c.dom.Document document, java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerspectiveModelSerializer

    public PerspectiveModelSerializer()

Method Detail

### serialize

    public org.w3c.dom.Element serialize(org.w3c.dom.Document document,
                                         java.lang.Object object)

  Specified by:
    `serialize` in interface `ISerializer`

### deserialize

    public java.lang.Object deserialize(org.w3c.dom.Element element)

  Specified by:
    `deserialize` in interface `ISerializer`